import Foundation
import App

Foundation.SoundDef("sfx/CENT_Engines.wav", "CENT Engines", .25)

abbrev = 'SSConestoga'
iconName = 'SSConestoga'
longName = 'S.S. Conestoga'
shipFile = 'SSConestoga' 
menuGroup = 'Other Ships'
playerMenuGroup = 'Other Ships'
species = App.SPECIES_GALAXY

Foundation.ShipDef.SSConestoga = Foundation.ShipDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile })

Foundation.ShipDef.SSConestoga.desc = "The S.S. Conestoga was Earth's first ship to colonize a planet out side the Sol system. She was  launched in 2067 for colonisation of Terra Nova, an inhabitable planet which was located some twenty  light years from Earth. It was planned and built only four years after Cochrane's Phoenix without  help from the Vulcans and could attain a maximum speed of warp 1.3. Once the Conestoga reached the planet in 2078, the ship was dismantled in order to construct the initial dwellings of the colony and thus removed any prospect of return.\n\nEarth lost contact with the colonists in about 2080 and it was not until 2151 that Enterprise NX-01  was instructed to investigate. It transpired that much of the planet had been irradiated by an  asteroid collision and the human survivors had been forced to seek sanctuary in subterranean tunnels.  Their descendents, mutated by the radiation, continued to survive after the Enterprise survey,  although relocated to an uncontaminated region of Terra Nova."
Foundation.ShipDef.SSConestoga.fMaxWarp = 1.3

if menuGroup:           Foundation.ShipDef.SSConestoga.RegisterQBShipMenu(menuGroup)
if playerMenuGroup:     Foundation.ShipDef.SSConestoga.RegisterQBPlayerShipMenu(playerMenuGroup)

if Foundation.shipList._keyList.has_key(longName):
     Foundation.ShipDef.__dict__[longName].friendlyDetails[2] = Foundation.shipList[longName].friendlyDetails[2]
     Foundation.ShipDef.__dict__[longName].enemyDetails[2] = Foundation.shipList[longName].enemyDetails[2]
